import { DatePipe } from '@angular/common';
import { IApiDateTime } from './api-date-time.interface';
/**
 * Classe do serviço de formatação de data e hora de acordo com o guia de implementação de API
 */
export declare class ApiDateTimeService implements IApiDateTime {
    protected datePipe: DatePipe;
    /**
     * Método construtor da classe
     */
    constructor(datePipe: DatePipe);
    /**
     * Retorna data no formato especificado pelo Guia de Implementação de API
     * Formato: data (E8601DAw.): yyyy-mm-dd
     */
    dateFormatAPI(value: any): string;
    /** Retorna data no formato extendido especificado pelo Guia de Implementação de API
     *  Formato: data UTC estendido (E8601DZw.d): yyyy-mm-ddThh:mm:ss.nnnnnn+|-hh:mm   (+|-hh:mm = timezone/fuso)
     */
    dateFormatExtendAPI(value: any): string;
    /**
     * Retorna hora no formato especificado pelo Guia de Implementação de API
     * Hora (E8601TMw.d): hh:mm:ss.ffffff   (f = milisegundos)
     */
    timeFormatAPI(value: any): string;
}
