import { IApiFilter } from './api-filter.interface';
import { IOData } from './o-data.interface';
/**
 * Classe que recebe os parâmetros solicitados para filtragem
 */
export declare class ApiFilter implements IApiFilter {
    /**
     * query: array que contém os dados de filtro
     */
    private query;
    /**
     * indica se deve adicionar agrupador de lógica ( parenteses ) na próxima expressão
     */
    private next;
    /**
     * método que retorna o tamanho do array/campo query
     */
    readonly length: number;
    /**
     * método que adiciona na query os objetos com informações de filtro
     * @param o array com os dados de filtro
     */
    add(...o: Array<IOData>): void;
    /**
     * método que adiciona um agrupador de lógica ( parenteses ) na última
     * expressão ou na próxima que for adicionada
     */
    addGroup(previous?: boolean): void;
    /**
     * método que retorna o objeto no formato string
     */
    toString(): string;
}
