import { IQueryFilter } from './query-filter.interface';
import { HttpParams } from '@angular/common/http';
import { IApiFilter } from './api-filter.interface';
import { IApiOrderField } from './api-order-field.interface';
import { IApiQueryString } from './api-query-string.interface';
/**
 * Esta classe define os métodos e atributos para consulta de dados
 */
export declare class ApiQueryString implements IApiQueryString {
    /**
     * page: representa a página solicitada
     */
    page?: number;
    /**
     * representa o total de registros retornados na consulta
     */
    pageSize?: number;
    /**
     * representa os parâmetros de filtros disponibilizados pelo contrato da api
     */
    query?: IQueryFilter;
    /**
     * representa os parâmetros de filtro solicitados
     */
    filter?: IApiFilter;
    /**
     * parâmetro para expansão de propriedades na consulta
     */
    expand?: Array<string>;
    /**
     * Parâmetro para setar a ordenação de campos
     */
    order?: Array<IApiOrderField>;
    /**
     * lista dos campos que a query deve retornar
     */
    fields?: Array<string>;
    /**
     * Método construtor que inicializa o objeto
     */
    constructor(query?: IApiQueryString);
    /**
     * Retorna os parâmetros de consulta(page, pageSize, filter, expand e fields) em formato string
     */
    getQueryString(): HttpParams;
}
