import { IApiFilter } from './api-filter.interface';
import { IApiOrderField } from './api-order-field.interface';
import { IQueryFilter } from './query-filter.interface';
/**
 * Interface com as opções de query
 */
export interface IApiQueryString {
    /**
     * page: representa a página solicitada
     */
    page?: number;
    /**
     * representa o total de registros retornados na consulta
     */
    pageSize?: number;
    /**
     * representa os parâmetros de filtros disponibilizados pelo contrato da api
     */
    query?: IQueryFilter;
    /**
     * representa os parâmetros de filtro solicitados
     */
    filter?: IApiFilter;
    /**
     * parâmetro para expansão de propriedades na consulta
     */
    expand?: Array<string>;
    /**
     * Parâmetro para setar a ordenação de campos
     */
    order?: Array<IApiOrderField>;
    /**
     * lista dos campos que a query deve retornar
     */
    fields?: Array<string>;
}
