import { Observable } from 'rxjs';
/**
 * Interface para consulta que possibilite paginação
 * @template Dto Objeto que representa o registro
 */
export interface IGetAllPagination<Dto> {
    /** Página corrente */
    page: number;
    /** Número de registros por página */
    pageSize: number;
    /** Indica se há mais registros */
    hasNext: boolean;
    /**
     * Método responsável por retornar os registros da próxima página
     * @return Retorno assíncrono dos registros buscados
     */
    more(): Observable<Array<Dto>>;
}
