import { Observable } from 'rxjs';
/**
 * Interface para serviço de consulta de todos os registros de uma entidade
 */
export interface IGetAllService<Dto> {
    /** URL completa do endpoint de GetAll */
    urlGetAll: string;
    /** Array com os registros */
    items: Array<Dto>;
    /**
     * Método responsável por realizar a consulta dos registros
     * @return Retorno assíncrono dos registros buscados
     */
    getAll(): Observable<Array<Dto>>;
    /**
     * Método responsável por 'limpar' as parametrizações da consulta
     * e realizá-la novamente
     * @return Retorno assíncrono dos registros buscados
     */
    reset(): Observable<Array<Dto>>;
}
