import { Observable } from 'rxjs';
import { IQueryFilter } from '../query-filter.interface';
/**
 * Interface que representa a estrutura que um serviço de retorno de usuários deve possuir
 */
export interface IGetAllUsers<Dto> {
    /**
     * Método responsável por retornar um observable contendo um array do DTO com a estrutura do usuário
     * @param queryFilter Filtro realizado na consulta dos usuários
     */
    getAllFiltered(queryFilter: IQueryFilter): Observable<Array<Dto>>;
}
