import { IDeleteEntity } from './verbs/delete-entity.interface';
import { IMapper } from './../mappers/mapper.interface';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MappedHttp } from './mapped-http';
/**
 * Realiza a operação de Delete para o enpoint informado, mapeando a entidade antes de enviar
 */
export declare class MappedHttpDelete<EntityId> extends MappedHttp implements IDeleteEntity {
    private httpClient;
    constructor(endpoint: string, httpClient: HttpClient, urlMapper?: IMapper<Array<any>, string>);
    /**
     * Implementação da chamada de deleção de um recurso
     *
     * @returns Deve ser assinado para a deleção ocorrer
     */
    Delete(...params: EntityId[]): Observable<any>;
}
