import { Observable } from 'rxjs';
/**
 * Interface para um serviço que contenha uma chamada rest de leitura de um recurso
 *
 * @template Out Entidade que será devolvida na leitura
 */
export interface IGetEntityWithQueryString<Out> {
    /**
     * Expansões para a consulta
     */
    expands: string[];
    /**
     * Campos para a consulta
     */
    fields: string[];
    /**
     * Método responsável por definir as expansões para a consulta
     * @param expands Lista de expansões
     */
    setExpands(...expands: string[]): void;
    /**
     * Método responsável por definir os campos para a consulta
     * @param fields Lista de campos
     */
    setFields(...fields: string[]): void;
    /**
     * Implementação da chamada de leitura de um recurso
     */
    Get(...params: Array<any>): Observable<Out>;
}
