import { Observable } from 'rxjs';
/**
 * Interface para um serviço que contenha uma chamada rest de criação de um recurso
 *
 * @template In Entidade envidada para o endpoint
 * @template Response Tipo de resposta esperada pelo servidor
 */
export interface IPostEntity<In, Response> {
    /**
     * Implementação da chamada de criação de um recurso
     */
    Post(data: In, ...params: Array<any>): Observable<Response>;
}
