import { Observable } from 'rxjs';
/**
 * Interface para um serviço que contenha uma chamada rest de atualização de um recurso
 *
 * @template In Entidade envidada para a conversão para o endpoint
 * @template Response Tipo de resposta esperada pelo servidor
 */
export interface IPutEntity<In, Response> {
    /**
     * Implementação da chamada de atualização de um recurso
     *
     * @param data dados de entrada para o serviço
     * @param params parâmetros da url
     * @returns Deve ser assinado para realizar a atualização do recurso
     */
    Put(data: In, ...params: Array<any>): Observable<Response>;
}
