import { EOData } from './o-data.enum';
import { IOData } from './o-data.interface';
import { IBaseOData } from './o-data-base.interface';
/**
 * Classe que implementa as operações de filtro
 */
export declare class OData implements IBaseOData {
    /**
     * campo para filtro
     */
    field?: string;
    /**
     * valor solicitado para filtro
     */
    value?: string | number | IOData;
    /**
     * operação que irá definir o tipo de filtro
     */
    operator: EOData;
    /**
     * Fábrica estática que retorna um odata do tipo Null
     */
    static Null(): OData;
    /**
     * Fábrica estática que retorna um odata do tipo Equals
     */
    static Equals(field: string, value: string | number | IOData): OData;
    /**
     * Fábrica estática que retorna um odata do tipo NotEquals
     */
    static NotEquals(field: string, value: string | number | IOData): OData;
    /**
     * Fábrica estática que retorna um odata do tipo GreaterThan
     */
    static GreaterThan(field: string, value: string | number | IOData): OData;
    /**
     * Fábrica estática que retorna um odata do tipo GreaterThanOrEquals
     */
    static GreaterThanOrEquals(field: string, value: string | number | IOData): OData;
    /**
     * Fábrica estática que retorna um odata do tipo LessThan
     */
    static LessThan(field: string, value: string | number | IOData): OData;
    /**
     * Fábrica estática que retorna um odata do tipo LessThanOrEquals
     */
    static LessThanOrEquals(field: string, value: string | number | IOData): OData;
    /**
     * Fábrica estática que retorna um odata do tipo Contains
     */
    static Contains(field: string, value: string | number | IOData): OData;
    /**
     * Fábrica estática que retorna um odata para o operador lógico E
     */
    static And(left: IBaseOData, right: IBaseOData): IBaseOData;
    /**
     * Fábrica estática que retorna um odata para o operador lógico Ou
     */
    static Or(left: IBaseOData, right: IBaseOData): IBaseOData;
    /**
     * Fábrica estática que retorna um odata para o operador lógico Not
     */
    static Not(oDataExpression: IBaseOData): IBaseOData;
    /**
     * Método construtor que inicializa o objeto
     */
    private constructor();
    /**
     * método que trata o filtro solicitado pelo usuário, passando para o
     * formato string
     */
    toString(): string;
    /**
     * Função que faz o parser dos parâmetros de busca informados retirando
     * os caracteres especiais
     * @param filter filtro informado
     */
    filterPaser(filter: string): string;
}
