import { IFieldValue } from './field-value.interface';
import { HttpParams } from '@angular/common/http';
import { IQueryFilter } from './query-filter.interface';
export declare class QueryFilter implements IQueryFilter {
    /**
     * query: array que contém os dados de filtro
     */
    private query;
    static Build(...o: Array<IFieldValue>): QueryFilter;
    /**
     * método que retorna o tamanho do array/campo query
     */
    readonly length: number;
    /**
     * método que adiciona na query os objetos com informações de filtro
     * @param o array com os dados de filtro
     */
    add(...o: Array<IFieldValue>): void;
    /**
     * método que adiciona um agrupador de lógica ( parenteses ) na última
     * expressão ou na próxima que for adicionada
     */
    addGroup(previous?: boolean): void;
    /**
     * Implementar de forma a compor o filtro com os dados recebidos
     */
    updateParams(params: HttpParams): HttpParams;
}
