import { Observable } from 'rxjs';
/**
 * Interface que um serviço de formulário deve implementar
 */
export interface IFormService<T = void> {
    /**
     * Dados do formulário
     */
    data: T;
    /**
     * Deve ser implementado para retornar um observable.
     * Sugestão: utilizar map/tap/merge/mergeAll para transformar envio/resposta e gravar os dados necessários em data
     */
    save(): Observable<T>;
}
