import { Observable } from 'rxjs';
import { ILiterals } from './literals.interface';
import { II18nBaseOptions } from './i18n-base-options.interface';
/**
 * Interface comum para carregar as literais, pois dependendo da plataforma o comportamento é diferente.
 * Interface utilizada atualmente no serviço de internacionalização
 */
export interface ILiteralsLoader {
    /**
     * Método responsável por setar o carregamento e retornar a literal atualizada
     */
    load(): Observable<ILiterals>;
    /**
     * Método responsável por setar as opções e retornar a literal atualizada
     */
    updateOptions(options: II18nBaseOptions): Observable<ILiterals>;
}
