import { BaseMessage } from './../messaging/base-message';
import { ILoadingDefault } from './loading-default.interface';
import { ILoadingGenericFn } from './loading-generic-fn.interface';
/**
 * Classe abstrata padrão de loading
 */
export declare abstract class LoadingDefault implements ILoadingDefault {
    /**
     * Execução do loading
     */
    executeLoading<Z>(callback: ILoadingGenericFn<Z>, ...args: any[]): Z;
    /** Método para mostrar/ativar o spinner */
    abstract showLoading(): any;
    /** Método para esconder/desativar o spinner */
    abstract hideLoading(): any;
    /** Método para setar o texto de loading */
    abstract setLoadingText(loadingText: BaseMessage): any;
}
