/** Inteface com os métodos padrões de loading */
import { BaseMessage } from './../messaging/base-message';
import { ILoadingGenericFn } from './loading-generic-fn.interface';
/**
 * Interface padrão de loading
 */
export interface ILoadingDefault {
    /** Método para mostrar/ativar o spinner */
    showLoading(): void;
    /** Método para esconder/desativar o spinner */
    hideLoading(): void;
    /** Método para setar o texto de loading */
    setLoadingText(loadingText: BaseMessage): void;
    /** Método que executa a função passada por parâmetro e executa o spinner */
    executeLoading<ReturnType>(callback: ILoadingGenericFn<ReturnType>, ...args: any[]): ReturnType;
}
