import { ShowMessageType } from './show-message/show-message-type.enum';
/**
 * Interface base de mensagem
 */
export interface IBaseMessage {
    /** Literal identificador de titulo */
    titleLiteral?: string;
    /** Literal identificador */
    titleLiteralData?: any[];
    /** Tipo de mensagem */
    messageType?: ShowMessageType;
    /** Literal identificador da mensagem */
    literal: string;
    /** Literal indentificador do detalhe */
    detail: string;
    /** Literal identificador */
    literalData: any[];
    /** Literal identificador de detalhe */
    detailData: any[];
    /** Facilitador build com título */
    withTitleLiteral?(data: any[]): IBaseMessage;
    /** Facilitador para geração com dados para formatação título */
    withTitleLiteralData?(data: any[]): IBaseMessage;
    /** Facilitador para geração com dados para formatação título */
    withMessageType?(messageType: ShowMessageType): IBaseMessage;
    /** Facilitador para formatação da literal */
    withLiteralData(data: any[]): IBaseMessage;
    /** Facilitador para formatação do detalhe da literal */
    withDetailData(data: any[]): IBaseMessage;
}
