import { TotvsMessageType } from '../api-totvs/totvs-message-type.enum';
import { MessageType } from './message-type.enum';
import { ITotvsMessage } from './../api-totvs/totvs-message.interface';
import { ShowMessageType } from './show-message/show-message-type.enum';
/**
 * Classe utilitarios de mensagem
 */
export declare class MessageUtils {
    /**
     * Retorna o que foi passado formatado.
     */
    static formattable(data?: any[]): boolean;
    /**
     * Converte de TotvsMessageType para MessageType
     */
    static messageTypeFrom(totvsMessageType: TotvsMessageType | string): MessageType;
    /**
     * Converte de o type de um totvs message para um showmessagetype, usado no messagedisplayer
     */
    static showMessageTypeFromTotvsMessage(message: ITotvsMessage): ShowMessageType;
}
