import { ShowMessageType } from './show-message-type.enum';
import { ShowMessageLinkActionType } from './show-message-link-action-type.enum';
/**
 * Classe com as opções de apresentação de mensagem
 */
export declare class ShowMessageOptions {
    /** Tipo da mensagem */
    messageType: ShowMessageType;
    /** Text da mensagem */
    messageText: string;
    /** Título da mensagem */
    messageTitle?: string;
    /** Detalhes da mensagem */
    messageDetails?: string;
    /** Indicativo do tipo de link de ação para a mensagem */
    messageLinkActionType?: ShowMessageLinkActionType;
    /** Indicativo de link de ação para a mensagem */
    messageLinkAction?: any;
    /** Indicativo do label do link da mensagem */
    messageLinkLabel?: string;
    /** Indicativo da  confirmação da ação para a mensagem */
    messageConfirmAction?: () => void;
    /** Indicativo do label de confirmação para a mensagem */
    messageConfirmLabel?: string;
    /** Indicativo da ação de cancelamento da ação da mensagem */
    messageCancelAction?: () => void;
    /** Indicativo do label do cancelamento para a mensagem */
    messageCancelLabel?: string;
}
