/**
 * Interface para as configurações do serviço de recuperar permissões do usuário
 */
export interface IUserPermissionServiceSettings {
    /**
     * Endpoint da listagem de recursos
     */
    featuresEndpoint: string;
    /**
     * Endpoint da verificação de permissões
     */
    permissionsGrantedEndpoint: string;
    /**
     * Endpoint com a listagem de todos os usuários
     */
    allUsersEndpoint: string;
    /**
     * Endpoint para consulta de um usuário específico
     */
    userEndpoint?: string;
    /**
     * Endpoint para consulta de informações do usuário logado
     */
    userInfoEndpoint?: string;
}
