import { IPermission } from './permission.interface';
import { User } from 'oidc-client';
/**
 * Interface com o atributo e método que representa um usuáro com permissão
 */
export interface IUserWithPermission extends User {
    /**
     * Lista de permissões
     */
    permissions: IPermission[];
    /**
     * Método responsável por retornar se um usuário possui a permissão solicitada
     */
    hasPermission: (this: IUserWithPermission, permission: string) => boolean;
}
