declare class Main {
    constructor(...args: any[]);
}
declare type Newable<T> = new (...args: any[]) => T;
/**
 * Cria um atributo boolean alive$ que se torna falso quando o componente for destruido
 * e um observable destroy$ que completa quando o componente for destruido.
 *
 * Exemplos de uso com observables
 * @IsDestroyed()
 * export class MyComponent implements OnInit {
 * ...
 * timer(0, 1000).pipe(tap((x) => console.log('takeWhile', x)), takeWhile(() => this['alive$'])).subscribe();
 * timer(0, 1000).pipe(tap((x) => console.log('takeUntil', x)), takeUntil(this['destroy$'])).subscribe();
 * this['destroy$'].subscribe(() => console.log('Oh no! Somenone killed me!'));
 * }
 */
export declare function IsDestroyed(): <T extends Newable<Main>>(constructor: T) => T;
export {};
