/**
 * Utilitários e funções genéricas para uso em sql
 */
export declare class SqlUtilsFn {
    /**
     * Constante retornada quando um valor não pode ser serializado em banco sql
     */
    static DONT_SERIALIZE: string;
    /**
     * Converte os valores de um objeto para sql de inserção, separado por virgulas
     * @param obj o objeto a ser convertido
     * @param fields array de string contendo os nomes dos campos que se deseja converter
     */
    static objectToSqlstring(obj: object, fields: string[]): string;
    /**
     * Converte os valores de um objeto para array
     * @param obj o objeto a ser convertido
     * @param fields array de string contendo os nomes dos campos que se deseja converter
     */
    static objectToSqlValues(obj: object, fields: string[]): string[];
    /**
     * Converte o valor para um literal sql
     * @param prop a literal sql
     */
    static serialize(prop: any): string;
}
