/**
 * Expressão de valor qualquer
 */
export declare type fnBool = () => any;
/**
 * Utilitários e funções genéricas
 */
export declare class UtilsFn {
    /**
     * Retorna se o que foi passado é uma instância de array
     *
     * @param prop o que se deseja verificar
     * @returns se é um array ou não
     */
    static isArray(prop: any): boolean;
    /**
     * Em um processamento assíncrono com promises, permite que a thread aguarde o tempo informado.
     * @param ms tempo que deve aguardar, em ms
     */
    static sleep(ms: number): Promise<any>;
    /**
     * Lança uma rejeição com timeout caso a promise passada não seja resolvida a tempo
     * @param prom A promise que fará o processamento assíncrono
     * @param timeout O tempo que será aguardado, até um erro de timeout ocorrer
     */
    static timeout<T>(prom: Promise<T>, timeout: number): Promise<T>;
    /**
     * Semáforo de processamento para bloqueio de concorrência em determinada sessão
     * @param fn expressão que vai ser tratada como avaliação do lock, enquanto true, continuará em bloqueio
     * @param sleepMs Quantidade, em ms, que a expressão será reavaliada em um loop infinito, até que se torne verdadeira
     */
    static lock(fn: fnBool, sleepMs?: number): Promise<any>;
}
